#ifndef _SV_DELAY_H_
#define _SV_DELAY_H_

//---------------------------------------------------------------------------
class Delay
{
  public:
    Delay(float _rise = 0, float _fall = 0);
    Delay(const Delay& delay);
    ~Delay();
	
    void setRise(float _rise);
    float getRise() const;
    void setFall(float _fall);
    float getFall() const;

  private:
    float rise;
    float fall;
};

//---------------------------------------------------------------------------
inline void Delay::setRise(float _rise)
{
  rise = _rise;
}

//---------------------------------------------------------------------------
inline float Delay::getRise() const
{
  return rise;
}

//---------------------------------------------------------------------------
inline void Delay::setFall(float _fall)
{
  fall = _fall;
}

//---------------------------------------------------------------------------
inline float Delay::getFall() const
{
  return fall;
}

#endif

