#include "sv_object.h"
#include "sv_implementation.h"

//---------------------------------------------------------------------------
Implementation::Implementation(const char* _name, ImplementationType _type, int _value, Tag _tag, void* _data) 
: Object(_name, _tag, _data), type(_type), value(_value)
{
}

//---------------------------------------------------------------------------
Implementation::Implementation(const Implementation& implementation) 
: Object(implementation), type(implementation.type), value(implementation.value)
{
}

//---------------------------------------------------------------------------
Implementation::~Implementation()
{
}
