#include "sv_parameter.h"
#include "sv_object.h"

//---------------------------------------------------------------------------
Parameter::Parameter(const char* _name, double _value, Tag _tag, void* _data) 
: Object(_name, _tag, _data), value(_value)
{
}

//---------------------------------------------------------------------------
Parameter::Parameter(const Parameter& parameter) 
: Object(parameter), value(parameter.value)
{
}

//---------------------------------------------------------------------------
Parameter::~Parameter()
{
}
