#include "sv_region.h"

//---------------------------------------------------------------------------
Region::Region(const char* _name, InstanceArray* _instances, NetArray* _nets, unsigned _iteration_max, Tag _tag, void* _data)
:Set(_name, _instances, _nets, _tag, _data), iteration(0), solution(NULL), solution_best(NULL), value_best(-1)
{
}

//---------------------------------------------------------------------------
Region::~Region()
{
  delete [] solution; solution = NULL;
  delete [] solution_best; solution_best = NULL;
}

//---------------------------------------------------------------------------
void Region::initSolution()
{
  delete solution; solution = NULL;
  solution = new unsigned[instances->count()];
  memset(solution, 0, instances->count() * sizeof(unsigned));

  delete solution_best; solution_best = NULL;
  solution_best = new unsigned[instances->count()];
  memset(solution_best, 0, instances->count() * sizeof(unsigned));
  
  iteration = 0;
}
