#ifndef _SV_CIRCUIT_IMP_OPT_LAYER_H_
#define _SV_CIRCUIT_IMP_OPT_LAYER_H_

#include "sv_set.h"
#include "sv_region.h"
#include "sv_circuit_imp_opt.h"

//---------------------------------------------------------------------------
class CircuitImpOptLayer : public CircuitImpOpt
{
  public:
    CircuitImpOptLayer(const char* _name = NULL, ModuleArray* _modules = NULL, ImplementationArray* _implementations = NULL,
      PropertyArray* _properies = NULL, unsigned _iteration_max = 1000000, Tag _tag = TAG_UNDEFINED, void* _data = NULL);
    ~CircuitImpOptLayer();
    
    void calcLayerwiseImplementation();

  protected:
    int calcModuleLayerImplementation(Module* module, int layer_index);
    int calcLayerwiseModuleImplementation(Module* module);
};

#endif
